Overview

Update saved query

Update saved query.

PUT/v2/apl-starred-queries/{id}
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input7
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
idstring · pathrequired
(path)
datasetstring · body
kindstring · bodyrequired
One of: apl.
metadataobject · bodyrequired
namestring · bodyrequired
queryobject · bodyrequired
Show child attributes11
aplstringrequired
cursorstring
defaultLimitinteger
defaultOrderobject[]
endTimestring
includeCursorboolean
includeCursorFieldboolean
librariesstring[]
queryOptionsobject
startTimestring
variablesobject
whostring · bodyrequired
Output7
datasetstring
kindstring
One of: apl.
metadataobject
namestring
queryobject
Show child attributes11
aplstring
cursorstring
defaultLimitinteger
defaultOrderobject[]
endTimestring
includeCursorboolean
includeCursorFieldboolean
librariesstring[]
queryOptionsobject
startTimestring
variablesobject
whostring
idstring
Responses
200StarredQueryWithId
Example input
curl -X PUT 'https://api.axiom.co/v2/apl-starred-queries/{id}' \
  -H 'Authorization: Bearer API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "kind": "apl",
    "metadata": {},
    "name": "string",
    "query": {
      "apl": "string",
      "cursor": "string",
      "defaultLimit": 0,
      "defaultOrder": [
        {
          "desc": false,
          "field": "string"
        }
      ],
      "endTime": "string",
      "includeCursor": false,
      "includeCursorField": false,
      "libraries": [
        "string"
      ],
      "queryOptions": {
        "disableCache": false,
        "disableStats": false,
        "disableTrace": false,
        "maxDataPoints": 0,
        "maxSeries": 0,
        "noAggregation": false,
        "noFill": false,
        "noInterpolation": false,
        "priority": "low",
        "resolution": "string",
        "displayNull": "auto",
        "overlayCharts": "true"
      },
      "startTime": "string",
      "variables": {}
    },
    "who": "string"
  }'
Example output
{
  "dataset": "string",
  "kind": "apl",
  "metadata": {},
  "name": "string",
  "query": {
    "apl": "string",
    "cursor": "string",
    "defaultLimit": 0,
    "defaultOrder": [
      {
        "desc": false,
        "field": "string"
      }
    ],
    "endTime": "string",
    "includeCursor": false,
    "includeCursorField": false,
    "libraries": [
      "string"
    ],
    "queryOptions": {
      "disableCache": false,
      "disableStats": false,
      "disableTrace": false,
      "maxDataPoints": 0,
      "maxSeries": 0,
      "noAggregation": false,
      "noFill": false,
      "noInterpolation": false,
      "priority": "low",
      "resolution": "string",
      "displayNull": "auto",
      "overlayCharts": "true"
    },
    "startTime": "string",
    "variables": {}
  },
  "who": "string",
  "id": "string"
}

Updated

Was this page helpful?